import 'package:in_app_purchase/in_app_purchase.dart';
import 'package:puma_pay/entities/purchaseDetail/purchaseDetail.dart';

extension ExtPurchaseDetails on PurchaseDetails {
  PurchaseDetail toPurchaseDetailEntity() {
    final _purchaseDetailBuilder = PurchaseDetailBuilder();
    _purchaseDetailBuilder.productID = this.productID;
    _purchaseDetailBuilder.purchaseID = this.purchaseID;
    _purchaseDetailBuilder.status = this.status.toString();
    _purchaseDetailBuilder.transactionDate = this.transactionDate;
    final _purchaseDetail = _purchaseDetailBuilder.build();

    return _purchaseDetail;
  }
}
