import 'package:in_app_purchase/in_app_purchase.dart';
import 'package:puma_pay/entities/product/product.dart';

extension ExtProductDetails on ProductDetails {
  Product toProduct() {
    ProductBuilder _product = ProductBuilder();

    _product.id = this.id;
    _product.title = this.title;
    _product.description = this.description;
    _product.price = this.price;
    _product.rawPrice = this.rawPrice;
    _product.currencySymbol = this.currencySymbol;
    _product.currencyCode = this.currencyCode;

    return _product.build();
  }
}
