library serializers;

import 'package:built_collection/built_collection.dart';
import 'package:built_value/serializer.dart';
import 'package:built_value/standard_json_plugin.dart';
import 'package:puma_pay/entities/appStoreReceipt/appStoreReceipt.dart';
import 'package:puma_pay/entities/appStoreReceiptValidationResult/appStoreReceiptValidationResult.dart';
import 'package:puma_pay/entities/product/product.dart';
import 'package:puma_pay/entities/purchaseDetail/purchaseDetail.dart';
import 'package:puma_pay/redux/pumaPayState.dart';

part 'serializers.g.dart';

@SerializersFor([
  Product,
  PumaPayState,
  AppStoreReceipt,
  AppStoreReceiptValidationResult,
  PurchaseDetail
])
final Serializers serializers =
    (_$serializers.toBuilder()..addPlugin(new StandardJsonPlugin())).build();
final Serializers rawSerializer = _$serializers;
